Subject: Re: bug#16214: Consistency in dired-, occur-, and grep-mode

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Dec 2013 23:52:42 +0200

> Assigning <RET> to (open-file-this-window) on occur/grep may loose
> convenience, but helps new users because that behavior is similar to
> following hyperlink in a web browser.

This behavior is similar to using History or Bookmarks window
in a web browser.  For example, in Firefox typing `C-h' opens
the History list in the left side window (and C-b opens the
Bookmark list in the left side window).  In the side window
you can press <RET> or click on a link name, and it will open
another page in the main window, replacing old page with a new
page.  This is exactly like <RET> works in grep/occur buffers.

> A. edit-buffer
>   To avoid overwriting `e' in dired, it seems that `C-x C-q' is the
>   second choice. Is `M-e' or `M-g e' better?

Adding a new key is not better because it will be incompatible
with older versions.

> D. open-file-this-window
>   Other candidates besides <RET> would be something like `M-<RET>' or 'M-o'?

For a key to use for this-window you could look at `C-x C-b' (list-buffers)
that binds the key `f' to `Buffer-menu-this-window'.